This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1466480 - [abrt] neovim: wstream_write(): nvim killed by signal 6
[abrt] neovim: wstream_write(): nvim killed by signal 6
Status: NEW
Product: Fedora
Classification: Fedora
Component: neovim (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6b5375d4c725c43b9b326c37cc5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 14:25 EDT by Ed Marshall
Modified: 2017-07-04 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.68 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: cgroup (355 bytes, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: core_backtrace (5.13 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: dso_list (1.37 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: environ (5.00 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: maps (7.09 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: open_fds (1.20 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details
File: var_log_messages (301 bytes, text/plain)
2017-06-29 14:25 EDT, Ed Marshall
no flags Details

  None (edit)
Description Ed Marshall 2017-06-29 14:25:11 EDT
Description of problem:
Exited neovim.

Version-Release number of selected component:
neovim-0.2.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        nvim ImageMagick/ImageMagick.dll.config
crash_function: wstream_write
executable:     /usr/bin/nvim
journald_cursor: s=2ff631a66afd403d8e8fe0a534e20e41;i=43181;b=c5baa8d1ac064e1ea7163a1d30a79493;m=b2de9d1f3;t=5531d5d7bb984;x=5952fbec70f9c42
kernel:         4.11.6-301.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 wstream_write at /usr/src/debug/neovim-0.2.0/src/nvim/event/wstream.c:77
 #5 channel_write at /usr/src/debug/neovim-0.2.0/src/nvim/msgpack_rpc/channel.c:500
 #6 on_request_event at /usr/src/debug/neovim-0.2.0/src/nvim/msgpack_rpc/channel.c:472
 #7 multiqueue_process_events at /usr/src/debug/neovim-0.2.0/src/nvim/event/multiqueue.c:150
 #8 event_teardown at /usr/src/debug/neovim-0.2.0/src/nvim/main.c:162
 #10 getout at /usr/src/debug/neovim-0.2.0/src/nvim/main.c:647
 #11 ex_exit at /usr/src/debug/neovim-0.2.0/src/nvim/ex_docmd.c:6329
 #12 do_one_cmd at /usr/src/debug/neovim-0.2.0/src/nvim/ex_docmd.c:2240
 #13 do_cmdline at /usr/src/debug/neovim-0.2.0/src/nvim/ex_docmd.c:606
 #14 nv_colon at /usr/src/debug/neovim-0.2.0/src/nvim/normal.c:4498
Comment 1 Ed Marshall 2017-06-29 14:25:16 EDT
Created attachment 1292939 [details]
File: backtrace
Comment 2 Ed Marshall 2017-06-29 14:25:16 EDT
Created attachment 1292940 [details]
File: cgroup
Comment 3 Ed Marshall 2017-06-29 14:25:17 EDT
Created attachment 1292941 [details]
File: core_backtrace
Comment 4 Ed Marshall 2017-06-29 14:25:18 EDT
Created attachment 1292942 [details]
File: cpuinfo
Comment 5 Ed Marshall 2017-06-29 14:25:19 EDT
Created attachment 1292943 [details]
File: dso_list
Comment 6 Ed Marshall 2017-06-29 14:25:20 EDT
Created attachment 1292944 [details]
File: environ
Comment 7 Ed Marshall 2017-06-29 14:25:21 EDT
Created attachment 1292945 [details]
File: limits
Comment 8 Ed Marshall 2017-06-29 14:25:21 EDT
Created attachment 1292946 [details]
File: maps
Comment 9 Ed Marshall 2017-06-29 14:25:22 EDT
Created attachment 1292947 [details]
File: open_fds
Comment 10 Ed Marshall 2017-06-29 14:25:23 EDT
Created attachment 1292948 [details]
File: proc_pid_status
Comment 11 Ed Marshall 2017-06-29 14:25:24 EDT
Created attachment 1292949 [details]
File: var_log_messages
Comment 12 Andreas Schneider 2017-07-04 09:49:18 EDT
Please report it upstream. Thanks!

Note You need to log in before you can comment on or make changes to this bug.